Sign in to follow this  
areichel

Btsync-Gui Installation Issue On Ubuntu Lucid

Recommended Posts

Hi, I'm already using Bittorrent sync on a NAS and PCs and smartphone. It's really surprising easy and cool to use; thanks for the development of such a great tool!

 

Today I wanted to install the GUI on an older PC running Ubuntu Lucid (10.04). As usual I added the repository:

 

>> add-apt-repository ppa:tuxpoldo/btsyncsh

made an update:

>> apt-get update

and finally wanted to install (as I did on my Ubuntu Trusty (14.04) without issues):

>> apt-get install btsync-gui

but it's telling me:

E: Paket btsync-gui konnte nicht gefunden werden

(package cannot be found)

After several tries I'm under the impression that btsync-gui needs pyython-gi which is not available under Lucid.

Is there another way to set this cool tool up on an old installation?

Thanks a lot in advance

areichel

Share this post


Link to post
Share on other sites

Hi areichel,
 
the reason btsync-gui is not available for Ubuntu Lucid is that it requires the library python-requests that is not included in the repositories:
 

Linux netpoldo32 2.6.32-58-386 #121-Ubuntu SMP Fri May 2 22:04:27 UTC 2014 i686 GNU/LinuxUbuntu 10.04.4 LTSWelcome to YeaSoft's NetPoldo Ubuntu 10.04.4-51 Rescue System!Created from Ubuntu (lucid) on 2014-05-16 21:14 +0200 using - UIC (Unified Installation Creator) 0.16.6 - netpoldo-1004-32 10.04.4-51 uic template * Documentation: http://www.yeasoft.com/netpoldo                  http://www.ubuntu.com/serverLast login: Sun May 18 15:40:29 2014 from macpoldo.yea.yeasoft.netnetpoldo32 ~ # apt-cache search python-requestsnetpoldo32 ~ #

 
I you really want to install btsync-gui on Ubuntu Lucid, you have to find a source for the python-request library. Perhaps there is some PPA around.... You have to search for it.

 

If you have found a source for the requests library, you should edit the file /etc/apt/sources.list.d/tuxpoldo-btsync-lucid.list and change the contents to

 

deb http://ppa.launchpad.net/tuxpoldo/btsync/ubuntu precise maindeb-src http://ppa.launchpad.net/tuxpoldo/btsync/ubuntu precise main

 

But I will give absolutely no warranty that this may work....

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this